{%- from 'components/service_profile_header.html.jinja' import service_header -%}
{%- from 'components/freigabestatus_badge.html.jinja' import freigabestatus_leistung -%}
{%- from 'components/xzufi_modules.html.jinja' import render_modul, sidebar_navigation, translations, steckbrief, metadata -%}
{%- from 'components/help.html.jinja' import empty_entry, glossary_link -%}
{%- from 'components/metadata.html.jinja' import metadata_card, baustein_referenz -%}
{%- from 'components/logo.html.jinja' import redaktion_logo -%}
{%- extends "root.html.jinja" -%}

{% block page %}
  {{ service_header(page.header, baseurl) }}

  <div class="px-md-5">
    <div class="d-flex flex-column flex-lg-row">
      {{ sidebar_navigation(page.sidebar_navigation) }}

      <div class="container py-3">
        <div class="row">
          <section class="col-lg-9" aria-label="Inhalt">
            <div
              class="d-flex flex-row flex-wrap gap-2 align-items-center justify-content-between mb-4 pb-2 border-bottom"
            >
              <div class="d-flex flex-row gap-2 align-items-center">
                <h2 id="steckbrief" class="fs-3 mb-1">Steckbrief</h2>
                {{ (glossary_link("https://docs.fitko.de/fim/docs/glossar/#leistungssteckbrief", "Leistungssteckbrief")) }}
              </div>
              {{ freigabestatus_leistung("Katalog", page.freigabestatus_katalog) }}
            </div>

            {{ steckbrief(page.steckbrief) }}
            {{ render_modul(page.steckbrief.rechtsgrundlagen) }}

            <div
              class="d-flex flex-row flex-wrap gap-2 align-items-center justify-content-between mt-5 mb-4 pb-2 border-bottom"
            >
              <div class="d-flex flex-row gap-2 align-items-center">
                <h2 id="stammtext" class="fs-3 mb-1">Stammtext</h2>
                {{ (glossary_link("https://docs.fitko.de/fim/docs/glossar/#leistungsstammtext", "Leistungsstammtext")) }}
              </div>
              {% if page.freigabestatus_bibliothek %}
                {{ freigabestatus_leistung("Bibliothek", page.freigabestatus_bibliothek) }}
              {% endif %}
            </div>

            {% if page.stammtext is string() %}
              <p>{{ page.stammtext }}</p>
            {% else %}
              {% for modul in page.stammtext.module %}
                {{ render_modul(modul) }}
              {% endfor %}
            {% endif %}
          </section>

          <aside class="col-lg-3" aria-label="Zusätzliche Informationen">
            {{ translations(page.translations) }}

            {% call metadata_card("Daten aus Portalverbund", none) %}
              <div class="list-group list-group-flush">
                {% for item in page.leistungsbeschreibungen %}
                  <a
                    href="{{ item.href }}"
                    class="list-group-item list-group-item-action d-flex flex-row gap-2 align-items-center justify-content-between"
                  >
                    <div>
                      {{ redaktion_logo(item.icon) }}
                      {{ item.label }}
                    </div>
                    <i
                      class="text-muted bi bi-chevron-right"
                      aria-hidden="true"
                    ></i>
                  </a>
                {% else %}
                  <div class="list-group-item">{{ empty_entry() }}</div>
                {% endfor %}
              </div>
            {% endcall %}

            {% call metadata_card("Zugehörige Prozessklasse", none) %}
              {{ baustein_referenz(page.prozessklasse) }}
            {% endcall %}

            <div class="border-start px-3">{{ metadata(page.metadata) }}</div>
          </aside>
        </div>
      </div>
    </div>
  </div>
{% endblock %}
